package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备转移信息对象 dms_base_transfer_info
 *
 * @author xins
 * @date 2024-01-02
 */
public class DmsBaseTransferInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long transferInfoId;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 设备原位置 */
    @Excel(name = "设备原位置")
    private String devicePosition;

    /** 设备转移位置 */
    @Excel(name = "设备转移位置")
    private String devicePositionNew;

    /** 设备转移人员 */
    @Excel(name = "设备转移人员")
    private String devicePositionOperator;

    /** 设备转移原因 */
    @Excel(name = "设备转移原因")
    private String devicePositionReason;

    /** 设备转移时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "设备转移时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deviceTransferTime;

    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setTransferInfoId(Long transferInfoId)
    {
        this.transferInfoId = transferInfoId;
    }

    public Long getTransferInfoId()
    {
        return transferInfoId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setDevicePosition(String devicePosition)
    {
        this.devicePosition = devicePosition;
    }

    public String getDevicePosition()
    {
        return devicePosition;
    }
    public void setDevicePositionNew(String devicePositionNew)
    {
        this.devicePositionNew = devicePositionNew;
    }

    public String getDevicePositionNew()
    {
        return devicePositionNew;
    }
    public void setDevicePositionOperator(String devicePositionOperator)
    {
        this.devicePositionOperator = devicePositionOperator;
    }

    public String getDevicePositionOperator()
    {
        return devicePositionOperator;
    }
    public void setDevicePositionReason(String devicePositionReason)
    {
        this.devicePositionReason = devicePositionReason;
    }

    public String getDevicePositionReason()
    {
        return devicePositionReason;
    }
    public void setDeviceTransferTime(Date deviceTransferTime)
    {
        this.deviceTransferTime = deviceTransferTime;
    }

    public Date getDeviceTransferTime()
    {
        return deviceTransferTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("transferInfoId", getTransferInfoId())
            .append("deviceId", getDeviceId())
            .append("devicePosition", getDevicePosition())
            .append("devicePositionNew", getDevicePositionNew())
            .append("devicePositionOperator", getDevicePositionOperator())
            .append("devicePositionReason", getDevicePositionReason())
            .append("deviceTransferTime", getDeviceTransferTime())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
